Description

and send an email notifying it to all staff.

History

#1 - 2016-01-16 12:40 AM - Paolo Cavallini

These are in fact two different issues:

1. log the user who approved each plugin version

2. send an email notifying this (to qgisdev or qgis-psc)

The second issue has been implemented, apparently the mail bounces and the sender has to be added to list subscribers, or anyway whitelisted.

#2 - 2016-01-16 01:47 AM - Richard Duivenvoorde

Which is the user that is used to sent the emails?

I think if that 'user' subscribes to the list it is working again?

If you use admin@qgis.org for that one (and Alesandro uses that one as user), I'm able to reply to the confirmation email.

I think point 1 (logging or emailing the approver) is also nice

#3 - 2016-01-22 12:31 AM - Paolo Cavallini

Any progress on this? Seems a trivial issue.

#4 - 2016-01-22 12:36 AM - Alessandro Pasotti

This is the sender:

DEFAULT_FROM_EMAIL = 'noreply@qgis.org'

This is the recipient:

#QGIS dev list email address for plugins approval notifications

QGIS_DEV_MAILING_LIST_ADDRESS='qgis-developer@lists.osgeo.org'

#5 - 2016-01-22 01:26 AM - Richard Duivenvoorde

I had a look and noreply qgis.org is an email group, sent to some people.
Should I also sent it to admin qgis.org?

Or we change the email to admin qgis.org?

Do we want one of those email address to subscribe on the dev list? 

All people in group should be able to do that know and respond to the confirmation email from the list.

Plz let me know if you want something done from me.

#6 - 2016-01-22 01:32 AM - Paolo Cavallini

I think the sender should be added to the mailing list, better if set to nomail.

Agreed?

#7 - 2016-01-25 01:36 AM - Paolo Cavallini

- Status changed from Open to Feedback

Now implemented?

#8 - 2016-01-25 02:50 AM - Alessandro Pasotti

- Status changed from Feedback to Closed

It was implemented long time ago, it wasn't working due to emails being refused from the mailing list server.
